> On 26 Sep 2015, at 06:47, Gabor Szabo <ga...@szabgab.com> wrote:
> I am really glad Rakudo finally came out.
> I've installed in and tried to run the tests of Perl6::Maven.
> 
> They quickly failed as I have been using 'require' on string
> to check if all the module compile properly.
> 
> The following code now fails:
> 
> use v6;
> my $name = 'Bailador';
> require $name;
> 
> 
> even though
> 
> require Bailador;
> 
> works.
> 
> In 2015.07 both worked.
> 
> 
> I've fixed my script by switching to EVAL "use $module";
> but I wonder if this is a regression or a planned deprecation?

I’m not sure yet.

Could you please rakudobug it so that it doesn’t fall through the cracks?  This 
change did not fire any spectest alarm either, so maybe we need a test for it 
as well  :-)



Liz

Reply via email to